%bcond_without mead

%define reltag .redhat_3
%define namedreltag -redhat-3
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.0-3.redhat_3.ep6.el6

Name:           jcip-annotations-eap6
Version:        1.0
Release:        3.1%{?reltag}%{?dist}
Epoch:          0
Summary:        Java Concurrency in Practice
License:        Creative Commons Attribution License
Group:          Development/Java

%if %with mead
Source102: jcip-annotations-1.0-redhat-3.pom
Source103: jcip-annotations-1.0-redhat-3.jar
Source104: jcip-annotations-1.0-redhat-3-sources.zip
%endif

URL:            http://www.jcip.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Java Concurrency in Practice.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jcip-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jcip-annotations-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jcip-annotations-%{namedversion}.jar
%{_javadir}/%{name}/jcip-annotations.jar

%changelog
* Tue Feb 12 2013 Fernando Nasser <fnasser@redhat.com> 0:1.0-3.1.redhat_3
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-3
- update Release tag

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-2
- fix build

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-1
- release
